CREATE TABLE DITAPILOG
(
  DIL_KEY NUMBER NOT NULL
, DIL_TASKID NUMBER
, DIL_TITEL VARCHAR2(255)
, DIL_BESCHREIBUNG CLOB
, DIL_VEROEFFENTLICHUNGSDATUM DATE
, DIL_ENDDATUM DATE
, DIL_PRIORITAET NUMBER
, DIL_MAX_EMPFAENGER NUMBER
, DIL_ERSTELLT_VON NUMBER
, DIL_STATUS NUMBER
, DIL_XTN_KUERZEL VARCHAR2(3)
, DIL_XXX_KEY NUMBER
, DIL_USER VARCHAR2(50) DEFAULT 'AWIS' NOT NULL
, DIL_USERDAT DATE DEFAULT SYSDATE NOT NULL
, CONSTRAINT PK_DIL_KEY PRIMARY KEY
  (
    DIL_KEY
  )
  USING INDEX
  (
      CREATE UNIQUE INDEX DITAPILOG_PK ON DITAPILOG (DIL_KEY ASC)
  )
  ENABLE
);

COMMENT ON COLUMN DITAPILOG.DIL_KEY IS 'KEY';

COMMENT ON COLUMN DITAPILOG.DIL_TASKID IS 'ID des Tasks';

COMMENT ON COLUMN DITAPILOG.DIL_TITEL IS 'Titel des Tasks';

COMMENT ON COLUMN DITAPILOG.DIL_BESCHREIBUNG IS 'Beschreibung des Tasks';

COMMENT ON COLUMN DITAPILOG.DIL_VEROEFFENTLICHUNGSDATUM IS 'Veroeffentlichungsdatum des Tasks';

COMMENT ON COLUMN DITAPILOG.DIL_ENDDATUM IS 'Globales Enddatum des Tasks';

COMMENT ON COLUMN DITAPILOG.DIL_PRIORITAET IS 'Prioriaet des Tasks';

COMMENT ON COLUMN DITAPILOG.DIL_MAX_EMPFAENGER IS 'Maxmales Level von Empfaengern';

COMMENT ON COLUMN DITAPILOG.DIL_ERSTELLT_VON IS 'Key des Task Erstellers';

COMMENT ON COLUMN DITAPILOG.DIL_STATUS IS 'Status des Tasks';

COMMENT ON COLUMN DITAPILOG.DIL_XTN_KUERZEL IS 'Referenzkuerzel';

COMMENT ON COLUMN DITAPILOG.DIL_XXX_KEY IS 'Referenzkey';

COMMENT ON COLUMN DITAPILOG.DIL_USER IS 'User';

COMMENT ON COLUMN DITAPILOG.DIL_USERDAT IS 'Userdat';

CREATE SEQUENCE SEQ_DIL_KEY;

CREATE TRIGGER TRG_SEQ_DIL_KEY
BEFORE INSERT ON DITAPILOG
FOR EACH ROW
BEGIN
  <<COLUMN_SEQUENCES>>
  BEGIN
    IF INSERTING AND :NEW.DIL_KEY IS NULL THEN
      SELECT SEQ_DIL_KEY.NEXTVAL INTO :NEW.DIL_KEY FROM SYS.DUAL;
    END IF;
  END COLUMN_SEQUENCES;
END;
/

commit;


CREATE TABLE DITAPILOGEMPF
(
  DIE_KEY NUMBER NOT NULL
, DIE_DIL_KEY NUMBER
, DIE_EMPFAENGER VARCHAR2(10)
, DIE_USER VARCHAR2(50) DEFAULT 'AWIS' NOT NULL
, DIE_USERDAT DATE DEFAULT SYSDATE NOT NULL
, CONSTRAINT PK_DIE_KEY PRIMARY KEY
  (
    DIE_KEY
  )
  USING INDEX
  (
      CREATE UNIQUE INDEX DITAPILOGEMPF_PK ON DITAPILOGEMPF (DIE_KEY ASC)
  )
  ENABLE
);

ALTER TABLE DITAPILOGEMPF
ADD CONSTRAINT FK_DIE_DIT_KEY FOREIGN KEY
(
  DIE_DIL_KEY
)
REFERENCES DITAPILOG
(
  DIL_KEY
)
ON DELETE CASCADE ENABLE;

COMMENT ON COLUMN DITAPILOGEMPF.DIE_KEY IS 'KEY';

COMMENT ON COLUMN DITAPILOGEMPF.DIE_DIL_KEY IS 'DIL-KEY des Tasks (DITAPILOG Tabelle)';

COMMENT ON COLUMN DITAPILOGEMPF.DIE_EMPFAENGER IS 'Empfaenger des Tasks';

COMMENT ON COLUMN DITAPILOGEMPF.DIE_USER IS 'User';

COMMENT ON COLUMN DITAPILOGEMPF.DIE_USERDAT IS 'Userdat';

CREATE SEQUENCE SEQ_DIE_KEY;

CREATE TRIGGER TRG_SEQ_DIE_KEY
BEFORE INSERT ON DITAPILOGEMPF
FOR EACH ROW
BEGIN
  <<COLUMN_SEQUENCES>>
  BEGIN
    IF INSERTING AND :NEW.DIE_KEY IS NULL THEN
      SELECT SEQ_DIE_KEY.NEXTVAL INTO :NEW.DIE_KEY FROM SYS.DUAL;
    END IF;
  END COLUMN_SEQUENCES;
END;
/

commit;


INSERT INTO PROGRAMMPARAMETER (XPP_ID, XPP_BEZEICHNUNG, XPP_DEFAULT, XPP_UEBERSCHREIBBAR, XPP_BEMERKUNG, XPP_KODIERT, XPP_DATENTYP)
VALUES (240, 'DITAPI_URL_Erstellen', 'http://10.0.2.2:8000/api/task/storeApi', '255', 'URL zur DIT API zum Aufrufen der Erstellungsfunktion', '0', 'T');

INSERT INTO PROGRAMMPARAMETER (XPP_ID, XPP_BEZEICHNUNG, XPP_DEFAULT, XPP_UEBERSCHREIBBAR, XPP_BEMERKUNG, XPP_KODIERT, XPP_DATENTYP)
VALUES (241, 'DITAPI_URL_Stornieren', 'http://10.0.2.2:8000/api/task/cancellation', '255', 'URL zur DIT API zum Aufrufen der Stornofunktion', '0', 'T');

INSERT INTO PROGRAMMPARAMETER (XPP_ID, XPP_BEZEICHNUNG, XPP_DEFAULT, XPP_UEBERSCHREIBBAR, XPP_BEMERKUNG, XPP_KODIERT, XPP_DATENTYP)
VALUES (242, 'DITAPI_URL_GETTASK', 'http://10.0.2.2:8000/api/task/getTaskApi', '255', 'URL zur DIT API zum Erhalten eines Tasks anhand dessen ID', '0', 'T');

INSERT INTO PROGRAMMPARAMETER (XPP_ID, XPP_BEZEICHNUNG, XPP_DEFAULT, XPP_UEBERSCHREIBBAR, XPP_BEMERKUNG, XPP_KODIERT, XPP_DATENTYP)
VALUES (243, 'DITAPI_URL_Abschliessen', 'http://10.0.2.2:8000/api/task/setCompleteApi', '255', 'URL zur DIT API zum Abschliessen eines Tasks', '0', 'T');

commit;

INSERT INTO textkonserven (xtx_kennung,xtx_bereich,xtx_bemerkung,xtx_text_de,xtx_userdat) VALUES ('LKK_ZWANGSABSCHLUSS_TITEL','LKK','Titel eines erstellten DIT-Tasks','Abschluss der offenen Lieferkontrolle',sysdate);

commit;

INSERT INTO textkonserven (xtx_kennung,xtx_bereich,xtx_bemerkung,xtx_text_de,xtx_userdat) VALUES ('LKK_ZWANGSABSCHLUSS_BESCHREIBUNG','LKK','Beschreibung eines erstellten DIT-Tasks',
'Zur Ihrer Filiale ist der offene Lieferschein mit der Nummer #LKK_LIEFERSCHEINNR# zugeordnet.<br>
Dieser wird in Kürze zwangsabgeschlossen falls die Daten nicht vervolllständigt/korrigiert werden.<br>
<br>
Bitte korrigieren Sie Ihre Angaben im AWIS: <a href="#LKK_LINK#">hier klicken</a>.<br>
<br>
-------------------------------------------------<br>
<br>
Diese Aufgabe wurde automatisch generiert.<br>
<br>
Bei Fragen wenden Sie sich bitte an Ihren jeweiligen Fachbetreuer zu diesem Thema.',
sysdate);

commit;
